org.apache.lucene.index

## Class LegacyBinaryDocValues

- java.lang.Object
- - org.apache.lucene.index.LegacyBinaryDocValues

Direct Known Subclasses:
  LegacySortedDocValues

Deprecated.
Use `BinaryDocValues` instead.

    @Deprecated
    public abstract class LegacyBinaryDocValues
    extends Object

A per-document byte[]

### Constructor Summary

Constructors
`protected` `LegacyBinaryDocValues()` Deprecated. Sole constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`abstract BytesRef` `get(int docID)` Deprecated. Lookup the value for document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyBinaryDocValues

    protected LegacyBinaryDocValues()

Deprecated.
Sole constructor. (For invocation by subclass constructors, typically implicit.)

### Method Detail

#### get

    public abstract BytesRef get(int docID)

Deprecated.
Lookup the value for document. The returned `BytesRef` may be re-used across calls to `get(int)` so make sure to `copy it` if you want to keep it around.